@charset "UTF-8";

:root {
  --header-h: 76px;
}

@media screen and (min-width: 1000px) {
  :root {
    --header-h: 100px;
  }
}

*,
*::before,
*::after {
  box-sizing: inherit;
  background-repeat: no-repeat;
}

* {
  margin: 0;
  padding: 0;
}

html {
  box-sizing: border-box;
  font-size: 16px;
  scroll-behavior: smooth;
  scroll-padding-top: var(--header-h);
}

body {
  color: #171717;
  font-family: 'Noto Sans JP', sans-serif;
  font-optical-sizing: auto;
  font-size: 1rem;
  font-style: normal;
  font-weight: 400;
  line-height: 1.5;
  overflow-wrap: anywhere;
  word-break: normal;
}

:where(h1,
  h2,
  h3,
  h4,
  h5,
  h6) {
  font: inherit;
}

:where(a:any-link) {
  color: inherit;
  text-decoration: none;
}

:where(a:any-link):has(> img) {
  display: block;
}

:where(img) {
  display: block;
  width: 100%;
  max-width: 100%;
  height: auto;
}

:where(ul,
  ol) {
  list-style-type: "";
}

:where(button) {
  color: inherit;
  font: inherit;
  letter-spacing: inherit;
  word-spacing: inherit;
  background: none;
  border: none;
  border-radius: unset;
  outline: none;
  cursor: pointer;
  touch-action: manipulation;
  user-select: none;
}

.ff-Outfit {
  font-family: "Outfit", "Noto Sans JP", sans-serif;
  font-weight: 600;
}

.ff-Nunito {
  font-family: "Nunito", "Noto Sans JP", sans-serif;
  font-weight: 700;
}

.bg-red {
  --heading-color: #fff;
  color: #fff;
  background-color: #d01126;
}

/* header */
.site-header {
  width: 100%;
  position: fixed;
  top: 0;
  z-index: 10;
}

.site-header .header--inner {
  display: flex;
  align-items: center;
  column-gap: 22px;
  height: var(--header-h);
  padding: 11px 15px 10px;
}

.site-header .logo {
  max-width: 145px;
  margin-right: auto;
}

.site-header .ui {
  font-size: 14px;
  letter-spacing: 0.1em;
}

.site-header .ui a {
  display: inline-block;
  padding-left: 26px;
  background-image: url("../img/icon-lang.svg");
  background-position: center left;
  background-size: contain;
}

@media screen and (min-width: 1000px) {
  .site-header .header--inner {
    column-gap: 30px;
    padding: 11px 30px 10px 32px;
  }

  .site-header .logo {
    max-width: 158px;
  }
}

@media (any-hover: hover) {
  .site-header a {
    transition: opacity 0.3s ease;
  }

  .site-header a:hover {
    opacity: 0.8;
  }
}

/* menu */
.menu--btn {
  --menu-b: 3px;
  display: flex;
  align-items: center;
  padding: 10px 2px;
}

.menu--btn .icon {
  display: block;
  width: 40px;
  height: 13px;
  border-style: solid;
  border-width: var(--menu-b) 0;
  position: relative;
}

.menu--btn .icon::before,
.menu--btn .icon::after {
  content: '';
  display: block;
  width: 100%;
  height: var(--menu-b);
  position: absolute;
  top: 50%;
  left: 50%;
  translate: -50% -50%;
}

.menu--btn[aria-expanded="true"] .icon {
  border-color: transparent;
}

.menu--btn[aria-expanded="true"] .icon::before,
.menu--btn[aria-expanded="true"] .icon::after {
  background-color: currentcolor;
}

.menu--btn[aria-expanded="true"] .icon::before {
  rotate: -30deg;
}

.menu--btn[aria-expanded="true"] .icon::after {
  rotate: 30deg;
}

.menu {
  width: 100%;
  height: 100dvh;
  position: fixed;
  top: 0;
  right: 0;
  z-index: 9;
}

.menu[aria-hidden="true"] {
  opacity: 0;
  visibility: hidden;
}

.menu[aria-hidden="false"] {
  opacity: 1;
  visibility: visible;
  transition: opacity 0.3s ease;
}

.menu--outer {
  position: absolute;
  inset: 0;
}

.menu--content {
  max-width: 393px;
  margin-left: auto;
  height: 100%;
  position: relative;
  overflow-y: auto;
  overscroll-behavior-y: contain;
  scrollbar-width: none;
}

.menu--inner {
  height: calc(100% + 1px);
  padding-top: 130px;
}

.menu--inner::after {
  content: '';
  display: block;
  width: 100%;
  height: 94px;
  margin-top: 70px;
  background-image: url("../img/menu-bottom.svg");
  background-position-x: 131px;
  background-size: auto 100%;
}

.menu--list {
  display: grid;
  row-gap: 35px;
  padding: 0 18px;
  font-size: 20px;
  letter-spacing: 0.1em;
  line-height: 1;
  text-align: center;
}

.menu--list a {
  display: inline-block;
  padding: 5px;
}

@media (any-hover: hover) {
  .menu a:hover {
    text-decoration: underline;
  }
}

/* main */
.site-main {
  width: 100%;
  overflow-x: hidden;
}

div[class^="inner"] {
  width: calc(100% - 36px);
  margin-inline: auto;
}

.inner {
  max-width: 960px;
}

.inner-s {
  max-width: 894px;
}

[class^="heading"] {
  color: var(--heading-color, #d01126);
  font-family: "Outfit", "Noto Sans JP", sans-serif;
  font-weight: 600;
  line-height: 1.25;
  text-align: center;
}

.heading-lv1 {
  font-size: 35px;
  letter-spacing: 0.139em;
}

.heading-lv2 {
  font-size: 24px;
  letter-spacing: 0.1em;
}

@media screen and (min-width: 1000px) {
  .heading-lv1 {
    font-size: 80px;
  }

  .heading-lv2 {
    font-size: 34px;
  }
}

.list-post {
  --border: #d5d5d5;
  letter-spacing: 0.1em;
  line-height: 1.375;
}

.list-post .item {
  display: grid;
  row-gap: 6px;
  padding: 14px 18px;
  border-bottom: 1px solid var(--border);
}

.list-post .item:has(.mark) {
  row-gap: 12px;
}

@media screen and (min-width: 768px) {
  .list-post .item {
    grid-template-columns: max-content 1fr;
    column-gap: 27px;
    padding: 24px 0;
  }
}

.list-post .mark,
.entry-header .mark {
  display: inline-block;
  min-width: 64px;
  margin-right: 17px;
  padding: 1px 0.5em 2px;
  color: #fff;
  font-size: 14px;
  letter-spacing: 0.1em;
  text-align: center;
  background-color: #d01126;
  border-radius: 11px;
}

@media (any-hover: hover) {
  .list-post a:hover {
    text-decoration: underline;
  }
}

.link-btn {
  max-width: 429px;
  margin-inline: auto;
  font-size: 18px;
  letter-spacing: 0.1em;
  border-radius: 37px;
  overflow: hidden;
  isolation: isolate;
}

.link-btn a {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
  min-height: 51px;
  padding: 5px 70px;
  color: var(--link-txt, #fff);
  text-decoration: none;
  background-color: var(--link-bg, #d01126);
}

.link-btn.contact a {
  background-image: url("../img/link-contact.svg");
  background-position: center right 33px;
  background-size: 17px auto;
}

.link-btn.back a {
  background-image: url("../img/link-back.svg");
  background-position: center left 36px;
  background-size: 27px auto;
}

@media (any-hover: hover) {
  .link-btn a {
    transition: opacity 0.3s ease;
  }

  .link-btn a:hover {
    opacity: 0.8;
  }
}

/* footer */
.site-footer {
  margin-top: 28px;
}

.site-footer::before {
  content: '';
  display: block;
  aspect-ratio: 393/74;
  width: 100%;
  background-image: url("../img/footer-top_sp.svg");
  background-position: center bottom;
  background-size: 100% auto;
}

.site-footer .copy {
  padding: 7px 5px;
  font-size: 12px;
  letter-spacing: 0.1em;
  text-align: center;
}

@media screen and (min-width: 1000px) {
  .site-footer {
    margin-top: 111px;
    position: relative;
  }

  .site-footer::before {
    aspect-ratio: unset;
    height: 156px;
    background-image: url("../img/footer-top.svg");
    background-size: cover;
    position: absolute;
    bottom: 100%;
    z-index: -1;
  }
}

@media screen and (min-width: 1920px) {
  .site-footer::before {
    aspect-ratio: 1600/156;
    height: auto;
  }
}